---
updatedAt: 2025-11-20T07:44:27.000Z
agentTools:
  projectIndex: https://partner-docs.gupshup.io/llms.txt
---

# Delete specific subscription of an app

This API endpoint enables partners to delete a specific webhook subscription by its unique subscription ID. Unlike the general delete subscription endpoint that removes all subscriptions for an app, this endpoint provides granular control to remove individual subscriptions when multiple webhook configurations exist. This is particularly useful for managing multi-environment setups, removing deprecated webhooks, or cleaning up test subscriptions.

## Request Parameters

| Key              | Value                     | Description                                        | Data Types | Require/Optional | Constraints                                                              |
| :--------------- | :------------------------ | :------------------------------------------------- | :--------- | :--------------- | :----------------------------------------------------------------------- |
| Authorization    | \{\{PARTNER\_APP\_TOKEN}} | Partner app access token issued post partner login | String     | Required         | Should be a valid Partner app access token belonging to the passed appId |
| appId            | \{\{App\_ID}}             | App ID for the app to be deleted                   | String     | Required         | Valid app ID                                                             |
| SUBSCRIPTION\_ID | 2xxxx                     | Subscription ID                                    | String     | Required         | Id of the subscription to be deleted                                     |

## Sample Request

```curl
curl --location --request DELETE 'https://partner.gupshup.io/partner/app/{{APP_ID}}/subscription/{{SUBSCRIPTION_ID}}' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}'
```

## Sample Response

```json
```

## Status Codes

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Status Code
      </th>

      <th style={{ textAlign: "left" }}>
        Response
      </th>

      <th style={{ textAlign: "left" }}>
        Comments
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        **Success**
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>

      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        204
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>
        Success when subscriptions are deleted. No content.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        **Error**
      </td>

      <td style={{ textAlign: "left" }}>

      </td>

      <td style={{ textAlign: "left" }}>

      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        400
      </td>

      <td style={{ textAlign: "left" }}>
        \{\
          "status": "error",\
          "message": "API key is not associated with partner"\
        }
      </td>

      <td style={{ textAlign: "left" }}>
        Error with respect to API Key
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        429
      </td>

      <td style={{ textAlign: "left" }}>
        \{\
          "status": "error",\
          "message": "Too Many Requests"\
        }
      </td>

      <td style={{ textAlign: "left" }}>
        Rate limit exceeded
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Delete Specific Subscription",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://partner.gupshup.io"
    }
  ],
  "paths": {
    "/partner/app/{appId}/subscription/{subscriptionId}": {
      "delete": {
        "tags": [
          "default"
        ],
        "summary": "delete specific subscription of an app",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            },
            "example": "sk_3454991ea7724926b8ce6fbfe5e5xxxx",
            "description": "Your app token, please refer [**Get access token api**](https://docs.gupshup.io/reference/get_partner-app-appid-token) to get the token from partner documentation."
          },
          {
            "name": "appId",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "example": "657c0203-0b4d-xxxx-bbf5-a679cfa35a16"
          },
          {
            "name": "subscriptionId",
            "in": "path",
            "schema": {
              "type": "integer"
            },
            "required": true,
            "example": "29092"
          }
        ],
        "responses": {
          "204": {
            "description": "No Content",
            "content": {
              "application/json": {
                "schema": {
                  "type": "integer",
                  "example": "1"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "API key is not associated with partner"
                    }
                  }
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "string",
                      "example": "error"
                    },
                    "message": {
                      "type": "string",
                      "example": "Too Many Requests"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```